=== modified file 'bzrlib/diff.py'
--- bzrlib/diff.py	2005-06-22 07:36:38 +0000
+++ bzrlib/diff.py	2005-06-22 07:56:30 +0000
@@ -276,6 +276,18 @@
         self.modified = []
         self.unchanged = []
 
+    def __eq__(self, other):
+        if not isinstance(other, TreeDelta):
+            return False
+        return self.added == other.added \
+               and self.removed == other.removed \
+               and self.renamed == other.renamed \
+               and self.modified == other.modified \
+               and self.unchanged == other.unchanged
+
+    def __ne__(self, other):
+        return not (self == other)
+
     def __repr__(self):
         return "TreeDelta(added=%r, removed=%r, renamed=%r, modified=%r," \
             " unchanged=%r)" % (self.added, self.removed, self.renamed,

